/*
		MDXsuppFire.sqf
		Version 1.01 BETA
		
		by MadDogX
		
		RECIEVES: 
			_victims - Trigger list
			_guns - Array of static guns
		
		This script controls the gunners target acquisition. They
		will select a random target from within the trigger area.
		Gunners will randomly switch targets.
*/

_victims = _this select 0;
_guns = _this select 1;

_hasTarget = [];
_isFinished = [];
_fScript = [];

for [{_x=0},{_x<(count _guns)},{_x=_x+1}] do
{
	_hasTarget = _hasTarget + [false];
	_isFinished = _isFinished + [true];
	_fScript = _fScript + [false];
	
	// AI was disabled because of sky-shooting bug
	/*gunner (_guns select _x) disableAI "MOVE";
	gunner (_guns select _x) disableAI "TARGET";
	gunner (_guns select _x) disableAI "AUTOTARGET";*/
};

for [{_loop=0},{_loop>=0},{_loop=_loop}] do
{
	for [{_x=0},{_x<(count _guns)},{_x=_x+1}] do
	{
		_curGun = _guns select _x;
		if (!(_isFinished select _x)) then
		{
			if (scriptDone (_fScript select _x)) then
			{
				_isFinished set [_x, true];
			}
		};
		if (!(isNull (gunner _curGun)) && (alive (gunner _curGun)) && !(_hasTarget select _x) && ((count _victims)>0) && (_isFinished select _x)) then
		{
			_victim = _victims select (floor(random(count _victims)));
			_isFinished set [_x, false];
			_fScript set [_x, [_curGun, _victim] execVM "MDXsuppGunner.sqf"];
		};
	};
	sleep 2;
};